<div class="pizza-form">
  <form [formGroup]="form">
    <label>
      <h4>Pizza name</h4>
      <input
        type="text"
        formControlName="name"
        placeholder="e.g. Pepperoni"
        class="pizza-form__input"
        [class.error]="nameControlInvalid" />
      <div *ngIf="nameControlInvalid" class="pizza-form__error">
        <p>Pizza must have a name</p>
      </div>
    </label>

    <ng-content></ng-content>

    <label>
      <h4>Select toppings</h4>
    </label>
    <div class="pizza-form__list">
      <app-pizza-toppings [toppings]="toppings" formControlName="toppings"> </app-pizza-toppings>
    </div>

    <div class="pizza-form__actions">
      <button type="button" class="btn btn__ok" *ngIf="!pizza" (click)="createPizza()">
        Create Pizza
      </button>

      <button type="button" app-button *ngIf="pizza" (click)="updatePizza(pizza)">
        Save changes
      </button>

      <button type="button" app-button color="red" *ngIf="pizza" (click)="removePizza()">
        Delete Pizza
      </button>
    </div>
  </form>
</div>
